/*******************************************************************************
 * Copyright 2017 Frank Mnster
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.qrscanner.gui.navigation;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.qrscanner.gui.action.QrScannerAction;
import de.willuhn.jameica.gui.NavigationItem;
import de.willuhn.jameica.gui.extension.Extendable;
import de.willuhn.jameica.gui.extension.Extension;
import de.willuhn.logging.Logger;

/**
 * Extension Klasse des QR-Code Scanner Plugins fr den Eintrag im
 * Navigationsmen
 *
 * @author Frank Mnster
 */
public class QrCodeScannerExtension implements Extension {

	/**
	 * Standardkonstruktor
	 */
	public QrCodeScannerExtension() {
		// Absichtlich leer
	}

	/**
	 * @see de.willuhn.jameica.gui.extension.Extension#extend(de.willuhn.jameica.
	 *      gui.extension.Extendable)
	 */
	@Override
	public void extend(final Extendable extendable) {
		try {
			final NavigationItem qrScanner = (NavigationItem) extendable;
			qrScanner.addChild(
					new QrCodeScannerItem(qrScanner, "QR Scanner Starten", new QrScannerAction(), "webcam_add.png"));
		} catch (final RemoteException e) {
			Logger.error("unable to extend navigation");
		}
	}
}
