/*******************************************************************************
 * Copyright 2017 Frank Mnster
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.qrscanner.gui.utils;

import org.eclipse.swt.widgets.Shell;

/**
 * Enthlt Methoden zur GUI-Verwaltung
 *
 * @author Frank Mnster
 *
 */
public final class GUIUtil {

	/**
	 * Standardkonstruktor
	 */
	private GUIUtil() {
		// Absichtlich leer
	}

	/**
	 * Bringt die ganze Jameica-Anwendung (shell) in den Vordergrund
	 *
	 * @param shell
	 *            - Shell die in den Vordergrund gebracht werden soll
	 */
	public static void bringToFront(final Shell shell) {

		shell.getDisplay().asyncExec(new Runnable() {

			/**
			 * @see Runnable#run()
			 */
			@Override
			public void run() {
				shell.forceActive();
			}
		});
	}
}
